import { OnInit, ElementRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class InputMaskDirective implements OnInit, ControlValueAccessor {
    private _elementRef;
    mask: string;
    private _currencyConfig;
    private _maskAvailablePatterns;
    private _onChange;
    private _onTouched;
    constructor(_elementRef: ElementRef);
    ngOnInit(): void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    onInput(event: any): void;
    onBlur(): void;
    private format(value);
    private clear(value);
    private formatString(value);
    private formatCurrency(value);
    private padLeft(value, length, character);
    private checkForCurrencyMask();
}
